summaryrefslogtreecommitdiffstats
path: root/multimedia/avidemux/avidemux.SlackBuild
diff options
context:
space:
mode:
author Niklas Nille Åkerström <Nille_kungen[AT]hotmail.com>2010-05-11 20:01:13 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:13 +0200
commit86b5c6999b175aac0ef7e7185288e6b5168dc3f1 (patch)
treec68c3a2c5b5c094ea72fdb8647232b204fdebfdf /multimedia/avidemux/avidemux.SlackBuild
parentcdd2fa87e5201e644ad64b1524bd0b9993ef0f32 (diff)
downloadslackbuilds-86b5c6999b175aac0ef7e7185288e6b5168dc3f1.tar.gz
slackbuilds-86b5c6999b175aac0ef7e7185288e6b5168dc3f1.tar.xz
multimedia/avidemux: Added to 12.0 repository
Diffstat (limited to 'multimedia/avidemux/avidemux.SlackBuild')
-rw-r--r--multimedia/avidemux/avidemux.SlackBuild125
1 files changed, 125 insertions, 0 deletions
diff --git a/multimedia/avidemux/avidemux.SlackBuild b/multimedia/avidemux/avidemux.SlackBuild
new file mode 100644
index 0000000000..1732060ca1
--- /dev/null
+++ b/multimedia/avidemux/avidemux.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Slackware build script for avidemux
+
+# Copyright 2007 Adnan Hodzic <AbsintheSyringe@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Niklas "Nille" Åkerström to use cmake since thats what the
+# project will use in the future. No additional license terms added
+
+PRGNAM=avidemux
+VERSION=2.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+mv ${PRGNAM}_${VERSION} $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Patch to build with newer libdca (tested with 0.0.5)
+# If you're trying to use an older version of libdca, it's not supported here
+patch -p1 --verbose --suffix=.orig < $CWD/libdca.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake . \
+ -DCMAKE_INSTALL_PREFIX:STRING="/usr" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_VERBOSE_MAKEFILE:BOOL="TRUE" \
+
+# Here are some valid options for cmake to build or not build against a dep
+# (for those who aren't very familiar with cmake)
+# Note that none of them should be needed though, as cmake automatically
+# detects what is and isn't on the system.
+# They're all boolean values, so it uses TRUE 1 YES or FALSE 0 NO
+# (TRUE, 1, and YES all mean the same thing and you should only use one of them)
+# alsa || -DNO_ALSA:BOOL=
+# oss || -DNO_OSS:BOOL=
+# nls || -DNO_NLS:BOOL=
+# sdl || -DNO_SDL:BOOL=
+# fontconfig || -DNO_FontConfig:BOOL=
+# xv || -DNO_Xvideo:BOOL=
+# esd || -DNO_Esd:BOOL=
+# jack || -DNO_Jack:BOOL=
+# aften || -DNO_Aften:BOOL=
+# libsamplerate || -DNO_libsamplerate:BOOL=
+# lame || -DNO_Lame:BOOL=
+# faac -DNO_FAAC:BOOL=
+# xvid || -DNO_Xvid:BOOL=
+# amrnb || -DNO_AMRNB:BOOL=
+# dts || -DNO_libdca:BOOL=
+# x264 || -DNO_x264:BOOL=
+# aac || -DNO_FAAD:BOOL=
+# aac || -DNO_NeAAC:BOOL=
+# vorbis || -DNO_Vorbis:BOOL=
+# png || -DNO_libPNG:BOOL=
+# arts || -DNO_ARTS:BOOL=
+# truetype || -DNO_FREETYPE:BOOL=
+# gtk || -DNO_GTK:BOOL=
+# qt4 || -DNO_QT4:BOOL=
+
+make
+make DESTDIR=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/man/man1
+cat man/avidemux.1 | gzip -9c > $PKG/usr/man/man1/avidemux.1.gz
+
+cd $TMP/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat avidemux2.desktop > $PKG/usr/share/applications/avidemux2.desktop
+cat avidemux_icon.png > $PKG/usr/share/pixmaps/avidemux.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README TODO History \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz